AdjustmentEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt.event, class: AdjustmentEvent
Keywords: java.awt.event.AdjustmentEvent class

# Class AdjustmentEvent

java.lang.Object
java.util.EventObject
java.awt.AWTEvent
java.awt.event.AdjustmentEvent

All Implemented Interfaces:
  `Serializable`

public class AdjustmentEvent extends AWTEvent
The adjustment event emitted by Adjustable objects like `Scrollbar` and `ScrollPane`. When the user changes the value of the scrolling component, it receives an instance of `AdjustmentEvent`.

An unspecified behavior will be caused if the `id` parameter of any particular `AdjustmentEvent` instance is not in the range from `ADJUSTMENT_FIRST` to `ADJUSTMENT_LAST`.

The `type` of any `AdjustmentEvent` instance takes one of the following values:

- `UNIT_INCREMENT`
- `UNIT_DECREMENT`
- `BLOCK_INCREMENT`
- `BLOCK_DECREMENT`
- `TRACK`

Assigning the value different from listed above will cause an unspecified behavior.

Since:
  1.1
See Also:
  - `Adjustable`
  - `AdjustmentListener`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADJUSTMENT_FIRST`
  Marks the first integer id for the range of adjustment event ids.
  `static final int`
  `ADJUSTMENT_LAST`
  Marks the last integer id for the range of adjustment event ids.
  `static final int`
  `ADJUSTMENT_VALUE_CHANGED`
  The adjustment value changed event.
  `static final int`
  `BLOCK_DECREMENT`
  The block decrement adjustment type.
  `static final int`
  `BLOCK_INCREMENT`
  The block increment adjustment type.
  `static final int`
  `TRACK`
  The absolute tracking adjustment type.
  `static final int`
  `UNIT_DECREMENT`
  The unit decrement adjustment type.
  `static final int`
  `UNIT_INCREMENT`
  The unit increment adjustment type.

  ### Fields declared in class AWTEvent

  `ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`
  Modifier and Type
  Field
  Description
  `static final long`
  `ACTION_EVENT_MASK`
  The event mask for selecting action events.
  `static final long`
  `ADJUSTMENT_EVENT_MASK`
  The event mask for selecting adjustment events.
  `static final long`
  `COMPONENT_EVENT_MASK`
  The event mask for selecting component events.
  `protected boolean`
  `consumed`
  Controls whether or not the event is sent back down to the peer once the source has processed it - false means it's sent to the peer; true means it's not.
  `static final long`
  `CONTAINER_EVENT_MASK`
  The event mask for selecting container events.
  `static final long`
  `FOCUS_EVENT_MASK`
  The event mask for selecting focus events.
  `static final long`
  `HIERARCHY_BOUNDS_EVENT_MASK`
  The event mask for selecting hierarchy bounds events.
  `static final long`
  `HIERARCHY_EVENT_MASK`
  The event mask for selecting hierarchy events.
  `protected int`
  `id`
  The event's id.
  `static final long`
  `INPUT_METHOD_EVENT_MASK`
  The event mask for selecting input method events.
  `static final long`
  `INVOCATION_EVENT_MASK`
  The event mask for selecting invocation events.
  `static final long`
  `ITEM_EVENT_MASK`
  The event mask for selecting item events.
  `static final long`
  `KEY_EVENT_MASK`
  The event mask for selecting key events.
  `static final long`
  `MOUSE_EVENT_MASK`
  The event mask for selecting mouse events.
  `static final long`
  `MOUSE_MOTION_EVENT_MASK`
  The event mask for selecting mouse motion events.
  `static final long`
  `MOUSE_WHEEL_EVENT_MASK`
  The event mask for selecting mouse wheel events.
  `static final long`
  `PAINT_EVENT_MASK`
  The event mask for selecting paint events.
  `static final int`
  `RESERVED_ID_MAX`
  The maximum value for reserved AWT event IDs.
  `static final long`
  `TEXT_EVENT_MASK`
  The event mask for selecting text events.
  `static final long`
  `WINDOW_EVENT_MASK`
  The event mask for selecting window events.
  `static final long`
  `WINDOW_FOCUS_EVENT_MASK`
  The event mask for selecting window focus events.
  `static final long`
  `WINDOW_STATE_EVENT_MASK`
  The event mask for selecting window state events.

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdjustmentEvent(Adjustable source, int id, int type, int value)`
  Constructs an `AdjustmentEvent` object with the specified `Adjustable` source, event type, adjustment type, and value.
  `AdjustmentEvent(Adjustable source, int id, int type, int value, boolean isAdjusting)`
  Constructs an `AdjustmentEvent` object with the specified Adjustable source, event type, adjustment type, and value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Adjustable`
  `getAdjustable()`
  Returns the `Adjustable` object where this event originated.
  `int`
  `getAdjustmentType()`
  Returns the type of adjustment which caused the value changed event.
  `int`
  `getValue()`
  Returns the current value in the adjustment event.
  `boolean`
  `getValueIsAdjusting()`
  Returns `true` if this is one of multiple adjustment events.

  ### Methods declared in class AWTEvent

  `consume, getID, isConsumed, paramString, setSource, toString`
  Modifier and Type
  Method
  Description
  `protected void`
  `consume()`
  Consumes this event, if this event can be consumed.
  `int`
  `getID()`
  Returns the event type.
  `protected boolean`
  `isConsumed()`
  Returns whether this event has been consumed.
  `String`
  `paramString()`
  Returns a string representing the state of this `Event`.
  `void`
  `setSource(Object newSource)`
  Retargets an event to a new source.
  `String`
  `toString()`
  Returns a String representation of this object.

  ### Methods declared in class EventObject

  `getSource`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### ADJUSTMENT_FIRST

    public static final int ADJUSTMENT_FIRST
    Marks the first integer id for the range of adjustment event ids.
    See Also:
      - Constant Field Values

  - ### ADJUSTMENT_LAST

    public static final int ADJUSTMENT_LAST
    Marks the last integer id for the range of adjustment event ids.
    See Also:
      - Constant Field Values

  - ### ADJUSTMENT_VALUE_CHANGED

    public static final int ADJUSTMENT_VALUE_CHANGED
    The adjustment value changed event.
    See Also:
      - Constant Field Values

  - ### UNIT_INCREMENT

    @Native public static final int UNIT_INCREMENT
    The unit increment adjustment type.
    See Also:
      - Constant Field Values

  - ### UNIT_DECREMENT

    @Native public static final int UNIT_DECREMENT
    The unit decrement adjustment type.
    See Also:
      - Constant Field Values

  - ### BLOCK_DECREMENT

    @Native public static final int BLOCK_DECREMENT
    The block decrement adjustment type.
    See Also:
      - Constant Field Values

  - ### BLOCK_INCREMENT

    @Native public static final int BLOCK_INCREMENT
    The block increment adjustment type.
    See Also:
      - Constant Field Values

  - ### TRACK

    @Native public static final int TRACK
    The absolute tracking adjustment type.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AdjustmentEvent

    public AdjustmentEvent(Adjustable source, int id, int type, int value)
    Constructs an `AdjustmentEvent` object with the specified `Adjustable` source, event type, adjustment type, and value.

    This method throws an `IllegalArgumentException` if `source` is `null`.

    Parameters:
      `source` - The `Adjustable` object where the event originated
      `id` - An integer indicating the type of event. For information on allowable values, see the class description for `AdjustmentEvent`
      `type` - An integer indicating the adjustment type. For information on allowable values, see the class description for `AdjustmentEvent`
      `value` - The current value of the adjustment
    Throws:
      `IllegalArgumentException` - if `source` is null
    See Also:
      - `EventObject.getSource()`
      - `AWTEvent.getID()`
      - `getAdjustmentType()`
      - `getValue()`

  - ### AdjustmentEvent

    public AdjustmentEvent(Adjustable source, int id, int type, int value, boolean isAdjusting)
    Constructs an `AdjustmentEvent` object with the specified Adjustable source, event type, adjustment type, and value.

    This method throws an `IllegalArgumentException` if `source` is `null`.

    Parameters:
      `source` - The `Adjustable` object where the event originated
      `id` - An integer indicating the type of event. For information on allowable values, see the class description for `AdjustmentEvent`
      `type` - An integer indicating the adjustment type. For information on allowable values, see the class description for `AdjustmentEvent`
      `value` - The current value of the adjustment
      `isAdjusting` - A boolean that equals `true` if the event is one of a series of multiple adjusting events, otherwise `false`
    Throws:
      `IllegalArgumentException` - if `source` is null
    Since:
      1.4
    See Also:
      - `EventObject.getSource()`
      - `AWTEvent.getID()`
      - `getAdjustmentType()`
      - `getValue()`
      - `getValueIsAdjusting()`

- ## Method Details

  - ### getAdjustable

    public Adjustable getAdjustable()
    Returns the `Adjustable` object where this event originated.
    Returns:
      the `Adjustable` object where this event originated

  - ### getValue

    public int getValue()
    Returns the current value in the adjustment event.
    Returns:
      the current value in the adjustment event

  - ### getAdjustmentType

    public int getAdjustmentType()
    Returns the type of adjustment which caused the value changed event. It will have one of the following values:
    - `UNIT_INCREMENT`
    - `UNIT_DECREMENT`
    - `BLOCK_INCREMENT`
    - `BLOCK_DECREMENT`
    - `TRACK`
    Returns:
      one of the adjustment values listed above

  - ### getValueIsAdjusting

    public boolean getValueIsAdjusting()
    Returns `true` if this is one of multiple adjustment events.
    Returns:
      `true` if this is one of multiple adjustment events, otherwise returns `false`
    Since:
      1.4